.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    font-family: $font-family-primary;
}

.main {
    flex-grow: 1;

    &__content {
        padding: 32px 0;
    }
}

.news-group {
    display: grid;
    grid-row-gap: 24px;
    grid-column-gap: 24px;
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

.news-item {
    overflow: hidden;
    background: $white;
    border-radius: 30px;
    display: flex;
    flex-direction: column;

    &__content {
        padding: 20px;
        flex-grow: 1;
        display: flex;
        flex-direction: column;
    }

    &__date {
        display: flex;
        align-items: center;
        color: #83888F;
        font-size: 14px;
        line-height: 20px;
        margin-bottom: 10px;

        i {
            font-size: 0;
            line-height: 0;
            width: 20px;
            margin-right: 5px;
            display: inline-block;
        }

        span {
            top: 2px;
            display: inline-block;
            position: relative;
        }
    }

    &__title {
        color: #111;
        flex-grow: 1;
        font-weight: 600;
        font-size: 20px;
        line-height: 140%;
        margin-bottom: 20px;

        a {
            color: #111;
            text-decoration: none;

            &:hover {
                color: #111;
                text-decoration: none;
            }
        }
    }

    &__link {
        color: #111;
        font-size: 20px;
        line-height: 140%;
        text-decoration: underline;

        &:hover {
            color: #111;
            text-decoration: none;
        }
    }
}

.post-header {

    &__main {
        margin-bottom: 24px;
    }

    &__info {
    }

    &__title {
        color: $dark;
        font-weight: 500;
        font-size: 24px;
        line-height: 125%;
        margin-top: 16px;
        margin-bottom: 24px;
    }

    &__links {
        display: flex;
        align-items: center;
    }

    &__media {
        overflow: hidden;
        border-radius: 16px 16px 0px 0px;
    }

    @include media-breakpoint-up(md) {

        &__main {
            margin-bottom: 48px;
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
        }

        &__info {
            order: 1;
            max-width: calc(100% - 240px);
        }

        &__title {
            width: 100%;
            font-size: 40px;
            line-height: 110%;
            margin-top: 24px;
            margin-bottom: 0;
            order: 3;
        }

        &__wrap {
            max-width: 1200px;
        }

        &__links {
            order: 2;
        }

        &__media {
            border-radius: 32px 32px 0px 0px;
        }

        &--invert {

            .post-header {

                &__main {
            //        align-items: center;
                }

                &__title {
                    order: 1;
                    margin-top: 0;
                    margin-bottom: 24px;
                }

                &__info {
                    order: 2;
                    margin-bottom: 0;

                }

                &__links {
                    order: 3;
                    margin-bottom: 0;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__title {
            font-size: 56px;
            line-height: 110%;
        }
    }
}

.post-info {
    display: flex;
    align-items: center;

    &__logo {
        width: 40px;
        height: 40px;
        display: block;
        overflow: hidden;
        margin-right: 12px;
        flex-shrink: 0;
    }

    &__content {
        font-size: 14px;
        line-height: 140%;
    }

    &__title {
        font-weight: 500;
    }

    &__date {
        color: #83888F;
    }

    @include media-breakpoint-up(xl) {

        &__logo {
            width: 56px;
            height: 56px;
            margin-right: 16px;
        }

        &__content {
            font-size: 18px;
            line-height: 145%;
        }
    }
}

.post-body {
    background: #fff;
    padding-top: 38px;
    padding-bottom: 60px;
    border-radius: 24px 24px 0px 0px;
    font-size: 16px;
    line-height: 150%;

    h1, h2 {
        font-weight: 500;
        font-size: 20px;
        line-height: 140%;
        margin-bottom: 12px
    }

    p {

        &:not(:last-child) {
            margin-bottom: 20px
        }
    }

    ol {
       padding-left: 18px;
       margin-bottom: 20px;
    }

    ul {
        padding-left: 9px;
        margin-bottom: 20px;

        li {
            list-style: inside
        }
    }

    @include media-breakpoint-up(sm) {
        padding: 50px 0 90px;

        h1, h2 {
            font-size: 26px;
            margin-bottom: 22px
        }
    }

    @include media-breakpoint-up(lg) {
        padding: 64px 0 120px;
        font-size: 20px;
        line-height: 140%;

        h1, h2 {
            font-size: 32px;
            line-height: 125%;
            margin-bottom: 32px
        }
    }
}

.post-image {
    display: block;
    overflow: hidden;
    border-radius: 12px;
    margin: rem(36) 0;
}

.post-content {
    margin: 0 auto;
    max-width: 808px;
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
